> ## Documentation Index
> Fetch the complete documentation index at: https://docs.7exchange.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post payment pay 3d secure



## OpenAPI

````yaml IPG post /payment/pay-3d-secure
openapi: 3.0.1
info:
  title: IPG
  description: Ipg
  version: 1.0.0
servers:
  - url: https://gateway.7exchange.io/ipg/1.0.0
    description: Beta/Live
security:
  - default: []
paths:
  /payment/pay-3d-secure:
    post:
      operationId: postPaymentPay3dSecure
      parameters:
        - name: walletId
          in: header
          required: true
          schema:
            type: string
        - name: tenantId
          in: header
          required: true
          schema:
            type: string
        - name: organizationId
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaymentData'
      responses:
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorPayload'
        default:
          description: Any Response
          content:
            '*/*':
              schema:
                description: Any type of entity body
components:
  schemas:
    PaymentData:
      required:
        - amount
        - currency
      type: object
      properties:
        merchantTransactionId:
          type: string
          nullable: true
        customerId:
          type: string
          nullable: true
        amount:
          type: number
          format: double
        currency:
          type: string
        orderType:
          type: string
          nullable: true
        sourceId:
          type: string
          nullable: true
        destinationId:
          type: string
          nullable: true
        orderDescriptor:
          type: string
          nullable: true
        paymentBrand:
          type: string
          nullable: true
        paymentMode:
          type: string
          nullable: true
        terminalId:
          type: string
          nullable: true
        merchantRedirectUrl:
          type: string
          nullable: true
        notificationUrl:
          type: string
          nullable: true
        shipping:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/Shipping'
        customer:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/Customer'
        card:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/Card'
        saveBeneficiary:
          type: boolean
    ErrorPayload:
      type: object
      properties:
        reason:
          type: string
          description: Reason phrase
        path:
          type: string
          description: Request path
        method:
          type: string
          description: Method type of the request
        message:
          type: string
          description: Error message
        timestamp:
          type: string
          description: Timestamp of the error
        status:
          type: integer
          description: Relevant HTTP status code
          format: int32
    Shipping:
      type: object
      properties:
        country:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        postcode:
          type: string
          nullable: true
        street1:
          type: string
          nullable: true
        language:
          type: string
          nullable: true
    Customer:
      type: object
      properties:
        telnocc:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        givenName:
          type: string
          nullable: true
        surname:
          type: string
          nullable: true
        customerId:
          type: string
          nullable: true
        ip:
          type: string
          nullable: true
        birthDate:
          type: integer
          format: int64
          nullable: true
    Card:
      type: object
      properties:
        number:
          type: string
          nullable: true
        expiryMonth:
          type: string
          nullable: true
        expiryYear:
          type: string
          nullable: true
        cvv:
          type: string
          nullable: true
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````